Name:           weld-parent
Version:        46
Release:        %mkrel 2
Group:          Development/Java
Summary:        Parent POM for Weld
License:        ASL 2.0

URL:            https://weld.cdi-spec.org/
Source0:        https://github.com/weld/parent/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)

%description
Parent POM for Weld.

%prep
%setup -q -n parent-%{version}

%pom_remove_plugin :buildnumber-maven-plugin
%pom_remove_plugin :maven-enforcer-plugin
%pom_remove_plugin :maven-remote-resources-plugin
%pom_remove_plugin :maven-source-plugin

%pom_remove_dep :maven-scm-api


%build
%mvn_build

%install
%mvn_install

%files -f .mfiles



%changelog
* Mon May 27 2024 ns80 <ns80> 46-2.mga10
+ Revision: 2068036
- rebuild for java 21

* Mon Dec 12 2022 daviddavid <daviddavid> 46-1.mga9
+ Revision: 1920839
- Update to version 46

* Sat Mar 26 2022 umeabot <umeabot> 44-2.mga9
+ Revision: 1827705
- Mageia 9 Mass Rebuild

* Mon Mar 01 2021 daviddavid <daviddavid> 44-1.mga9
+ Revision: 1694834
- Update to version 44

* Fri Sep 04 2020 daviddavid <daviddavid> 40-1.mga8
+ Revision: 1621576
- Update to version 40
- Rebuilt for JDK-11

* Sun Feb 16 2020 umeabot <umeabot> 39-2.mga8
+ Revision: 1536314
- Mageia 8 Mass Rebuild

* Tue Oct 15 2019 daviddavid <daviddavid> 39-1.mga8
+ Revision: 1453854
- Update to version 39

* Wed Sep 19 2018 umeabot <umeabot> 34-2.mga7
+ Revision: 1277129
- Mageia 7 Mass Rebuild

* Sat May 20 2017 neoclust <neoclust> 34-1.mga6
+ Revision: 1103457
- New version 34
- Second rebuild of the java stack

* Tue Mar 01 2016 daviddavid <daviddavid> 31-6.mga6
+ Revision: 981549
- remove enforcer plugin support
- related to rhbz#1308237,1308238
- use BRs mvn()-like
- introduce license macro

* Tue Mar 01 2016 pterjan <pterjan> 31-5.mga6
+ Revision: 981489
- Remove maven-enforcer plugin version block, causing NPE

* Tue Mar 01 2016 daviddavid <daviddavid> 31-4.mga6
+ Revision: 981447
+ rebuild (emptylog)

* Wed Feb 24 2016 neoclust <neoclust> 31-3.mga6
+ Revision: 978220
- First rebuild of the java stack
- sync package weld-parent with fedora
- imported package weld-parent

* Thu Dec 25 2014 pterjan <pterjan> 26-2.mga5
+ Revision: 805573
- Clean rebuild
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 17-8.mga5
+ Revision: 746877
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Dec 16 2013 dmorgan <dmorgan> 17-6.mga4
+ Revision: 557207
- Build with maven-local
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 17-4.mga3
+ Revision: 385679
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 dmorgan <dmorgan> 17-3.mga3
+ Revision: 339080
- Java Stack Mass Rebuild

* Fri Jun 29 2012 dmorgan <dmorgan> 17-2.mga3
+ Revision: 265222
- Use pom file from fedora

* Sun Jan 22 2012 gil <gil> 17-1.mga2
+ Revision: 199492
- imported package weld-parent


* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 31-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Mar 23 2015 Marek Goldmann <mgoldman@redhat.com> - 31-1
- Upstream release 31

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 26-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Oct 23 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 26-2
- Rebuild to regenerate broken POM files
- Related: rhbz#1021484

* Tue Oct 22 2013 Marek Goldmann <mgoldman@redhat.com> - 26-1
- Upstream release 26

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 17-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 18 2013 Michal Srb <msrb@redhat.com> - 17-8
- Add ASL 2.0 license text
- Add missing BR: maven-plugin-build-helper, maven-install-plugin

* Tue Feb 19 2013 Marek Goldmann <mgoldman@redhat.com> - 17-7
- Added maven-shared BR

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 17-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 17-5
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Mon Jul 23 2012 Marek Goldmann <mgoldman@redhat.com> - 17-4
- Fixed BR, removed maven plugins from R

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 17-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Mar 19 2012 Marek Goldmann <mgoldman@redhat.com> 17-2
- Added build section

* Wed Mar 14 2012 Marek Goldmann <mgoldman@redhat.com> 17-1
- Initial packaging

